:root{
    --DesaturatedRed: hsl(0, 36%, 70%);
    --SoftRed: hsl(0, 93%, 68%);
    --DarkGrayishRed: hsl(0, 6%, 24%);
    /* --Mobile: 375px; */
    /* --Desktop: 1440px; */
}

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Josefin Sans', sans-serif;
}

body{
    font-size: 15px;
}

.container{
    min-height: 100vh;
    display: grid;
    grid-template-columns: 55% 45%;
}

.container .text{
    width: 80%;
    margin: 50px auto;
}

.girl{
    background-image: url("./images/hero-desktop.jpg");
    background-size: cover;
    background-repeat: no-repeat;
}
.heading{
    width: 100%;
    margin-top: 100px;
    text-transform: uppercase;
    color: var(--DesaturatedRed);
    font-size: 3rem;
    letter-spacing: 0.3em;
}
.bold-text{
    color: black;
    word-spacing: 5em;
}
p{
    margin-top: 20px;
    width: 70%;
    word-spacing: 0.4em;
    color: var(--DesaturatedRed);
    line-height: 2em;
}

.email{
    margin-top: 30px;
    width: 70%;
    position: relative;
}

::placeholder{
    color: var(--DesaturatedRed);
}

.email input{
    font-size: 1.1rem;
    color: var(--DesaturatedRed);
    border: 1px solid var(--DesaturatedRed);
    border-radius: 23px;
    padding: 20px;
    max-height: 40px;
    outline: none;
    width: 100%;
    overflow: hidden;
}


.arrow{
    cursor: pointer;
    position: absolute;
    right: 0px;
    top: 0px;
    height: 100%;
    width: 80px;
    text-align: center;
    padding: 10px 0px;
    border-radius: 23px;
    background-color: pink;
    box-shadow: 0px 2px 5px rgb(189, 132, 132);
    background: linear-gradient(to right,rgb(243, 217, 234),rgb(223, 116, 207));
}

.arrow:hover{
    background: rgb(231, 199, 230);
    box-shadow: 0px 3px 10px grey;
}

.error{
    position: absolute;
    top: 0px;
    right: 80px;
    padding: 10px;
    visibility: hidden;
}
.error_message{
    color: var(--DesaturatedRed);
    position: absolute;
    bottom: -25px;
    left: 20px;
    visibility: hidden;
}

/* mobile first */

 @media screen and (max-width:375px){
     .container{
         display:grid;
         grid-template-columns: 99%;
     }
     .text{
         display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: flex-start;
        text-align: center;
        padding-left: 30px;
        width: 100%;
        }
    
        ::placeholder{
            font-size: 0.9rem;
        }
    .girl{
        position: absolute;
        top: 150px;
        left: 0px;
        height: 250px;
        min-width: 375px;
        background-image: url("./images/hero-mobile.jpg") ;
        background-size: cover;
        background-repeat: no-repeat;
    }
    .heading{
        width: 80%;
        text-align: center;
        margin-top: 375px;
        font-size: 2.3rem;
        text-transform: uppercase;
        color: var(--DesaturatedRed);
    }
    .bold-text{
        text-align: center;
        font-size: 2.4rem;
        font-weight: 600;
        text-transform: uppercase;
        color: black;
    }
    p{
        margin-left: -20px;
        line-height: 1.2em;
        word-spacing: normal;
        width: 100%;
        font-size: 1.1rem;
        color: var(--DesaturatedRed);
    }

} 


